net.sourceforge.pmd.lang

## Interface XPathHandler

All Known Implementing Classes:
  AbstractASTXPathHandler

    public interface XPathHandler

Interface for performing Language specific XPath handling, such as initialization and navigation.

### Field Summary

Fields
`static XPathHandler` `DUMMY`

### Method Summary

Methods
`org.jaxen.Navigator` `getNavigator()` Get a Jaxen Navigator for this Language.
`void` `initialize()` Initialize.
`void` `initialize(net.sf.saxon.sxpath.IndependentContext context)` Initialize.

### Field Detail

#### DUMMY

    static final XPathHandler DUMMY

### Method Detail

#### initialize

    void initialize()

Initialize. This is intended to be called by `Initializer` to perform Language specific initialization.

#### initialize

    void initialize(net.sf.saxon.sxpath.IndependentContext context)

Initialize. This is intended to be called by `Initializer` to perform Language specific initialization for Saxon.

#### getNavigator

    org.jaxen.Navigator getNavigator()

Get a Jaxen Navigator for this Language. May return `null` if there is no Jaxen Navigation for this language.